function rs_activity_refresh()
{
	scope = jQuery.cookie( 'bp-activity-scope');
	filter = jQuery.cookie( 'bp-activity-filter');

	// get existing IDs for the request
	existing_ids = '';
	jQuery('ul.activity-list').find('li').each(function()
	{
		objectId = jQuery(this).attr('id');
		if (objectId)
		{
			objectName = objectId.substring(0, objectId.indexOf('-'));
			objectNumber = objectId.substring(objectId.indexOf('-') + 1);
			if ('acomment' == objectName || 'activity' == objectName)
			{
				if (existing_ids != '')
				{
					existing_ids = existing_ids + ',';
				}
				existing_ids = existing_ids + objectNumber;
			}
		}
	});

	if (existing_ids == '')
	{
		existing_ids = -1;
	}

	jQuery.post( ajaxurl,
	{
		action: 'rs_bp_activity_refresh',
		'existing_ids': existing_ids,
		'scope': scope,
		'filter': filter
	},
	function(response)
	{

		// Check for errors and append if found.
		if ( response[0] + response[1] == '-1' || response.length == 0)
		{
			// no new updates
		}
		else
		{
			if ( 0 == jQuery("ul.activity-list").length )
			{
				jQuery("div.error").slideUp(100).remove();
				jQuery("div#message").slideUp(100).remove();
				jQuery("div.activity").append( '<ul id="activity-stream" class="activity-list item-list">' );
			}

			last_insert_li = false;

			// add response to hidden field
			jQuery('#rs-hidden-response').html(response);

			// check each list item
			jQuery('#rs-hidden-response').children('li').each(function()
			{
				objectId = jQuery(this).attr('id');
				objectId = objectId.substring(objectId.indexOf('-') + 1);
				if ((jQuery("ul.activity-list").children('#activity-' + objectId).attr('id') == undefined)
					&& (jQuery('ul.activity-list').find('#acomment-' + objectId).attr('id') == undefined)
				)
				{ // add new item
					if (last_insert_li)
					{
						jQuery(last_insert_li).after(this);
					}
					else
					{
						jQuery("ul.activity-list").prepend(this);
					}
					last_insert_li = this;
					jQuery(last_insert_li).addClass('new-update').hide().slideDown( 300 );
				}
			});

			// clear hidden field
			jQuery('#rs-hidden-response').html('');
		}
	});

}

function rs_activity_automatic_refresh()
{
	rs_activity_refresh();
	// reset time and start function again
	setTimeout( 'rs_activity_automatic_refresh();' , rsActivityRefreshRate * 1000 );
}

jQuery(function()
{
	if (jQuery('ul.activity-list').length > 0 && !jQuery('body').hasClass('activity-permalink'))
	{
		// create hidden field
		jQuery('body').append('<div id="rs-hidden-response" style="display: none;"></div>');

		if (typeof rsActivityRefreshRate == "undefined")
		{
			rsActivityRefreshRate = 10;
		}

		// start refreshing
		setTimeout( 'rs_activity_automatic_refresh();' , rsActivityRefreshRate * 1000 );
	}
});